/**
 *  \file: buffover.cpp
 *   (Latin-2 kodolasu fajl. Allitsa at a kodolast,
 *    ha a tovabbi kommentek nem olvashatok helyesen!)
 *
 *  \brief Buffer overflow hiba bemutatsa
 *
 *  A helyes jelsz: titok
 *  Prblja ki helyes s helytelen jelszval,
 *  majd 7-10 bet hosszsg tetszleges jelszval is!
 *
 */

#include <iostream>
#include <cstring>
#include "secret.h"

using std::cin;
using std::cout;
using std::endl;

char buff[6];
bool pass = false;

int main(void) {
    initOutputEncoding();    // belltjuk a kdkszletet a kimeneten
    cout << "Ha tudja a jelszt, megnzheti a ZH krdst!\n";
    cout << "Jelszo: ";
    cin >> buff;

    if (strcmp(buff, "titok") != 0) {
        cout << "*** Hibas jelszo ***" << endl;
    } else {
        cout << "Helyes jelszo" << endl;
        pass = true;
    }

    if (pass) {
        cout << ">> Hozzaferhet a titokhoz: <<" << endl;
        printSecret();  // kirja a titkos informcit
    }
    return 0;
}
